org.apache.maven.scm.plugin

## Class CheckoutMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.scm.plugin.AbstractScmMojo
    - - org.apache.maven.scm.plugin.CheckoutMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  BootstrapMojo

    public class CheckoutMojo
    extends AbstractScmMojo

Get a fresh copy of the latest source from the configured scm url.

Version:
  $Id: CheckoutMojo.java 757184 2009-03-22 13:19:19Z olamy $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CheckoutMojo()`

### Method Summary

Methods
`protected ScmResult` `checkout()`
`void` `execute()`
`protected File` `getCheckoutDirectory()`
`protected ScmResult` `getCheckoutResult()`
`void` `setCheckoutDirectory(File checkoutDirectory)`

### Methods inherited from class org.apache.maven.scm.plugin.AbstractScmMojo

`checkResult, getConnectionUrl, getExcludes, getFileSet, getIncludes, getScmManager, getScmRepository, getScmVersion, getWorkingDirectory, setConnectionType, setConnectionUrl, setExcludes, setIncludes, setWorkingDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckoutMojo

    public CheckoutMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `AbstractScmMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getCheckoutDirectory

    protected File getCheckoutDirectory()

#### setCheckoutDirectory

    public void setCheckoutDirectory(File checkoutDirectory)

#### checkout

    protected ScmResult checkout()
                          throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### getCheckoutResult

    protected ScmResult getCheckoutResult()